Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Image Class Reference

Inherits the QPixmap class. More...

`#include <image.h>`

Inherits QPixmap.

## Public Member Functions
| Image (const QString ImagefilePath_1)
| The constructor of the Image class. More...
| Image ()
| Class default constructor.
virtual | ~Image ()
| Class destructor.
virtual QString | getImageName () const
| Returns only the image name (not the filepath) More...
virtual void | setImageName (QString imageName)
| Set the image filepath. More...
virtual QString | getImageFilePath () const
| Returns the image filepath. More...
virtual void | setImageFilePath (QString filePath)
| Sets the image filepath. More...

## Detailed Description

Inherits the QPixmap class.

The image class provides an interface for reading from and writing to files.

Author
  David Carmona-Moreno

Version
  1.0

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

Image::Image | ( | const QString | ImagefilePath_1 | ) |
| inline

The constructor of the Image class.

Parameters

  ImagefilePath_1 | The filepath of the image

## Member Function Documentation

QString Image::getImageFilePath | ( |  | ) | const
| virtual

Returns the image filepath.

Returns
  The image filepath

QString Image::getImageName | ( |  | ) | const
| virtual

Returns only the image name (not the filepath)

Returns
  The image name

void Image::setImageFilePath | ( | QString | filePath | ) |
| virtual

Sets the image filepath.

Parameters

  filePath | The image filepath

void Image::setImageName | ( | QString | imageName | ) |
| virtual

Set the image filepath.

Parameters

  imageName | The image filepath

Returns
  void

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/image.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/image.cpp